# Projects

Source: https://docs.elnora.ai/docs/api/reference/projects
Last modified: 2026-09-08T22:34:42-06:00

> Projects endpoints of the Elnora REST API.

Base URL `https://platform.elnora.ai/api/v1`. Authenticate every request with the `X-API-Key` header — see [Authentication](https://docs.elnora.ai/docs/get-started/authentication).

## `GET` /projects

List user's projects in the active organization.

```bash
curl https://platform.elnora.ai/api/v1/projects \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `Page` | query | int32 | no |
| `PageSize` | query | int32 | no |
| `SortBy` | query | string | no |
| `SortDirection` | query | string | no |

**Responses**: `200` · `400`

## `POST` /projects

Create a new project.

```bash
curl -X POST https://platform.elnora.ai/api/v1/projects \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "name": "..." }'
```

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `name` | string | yes |
| `description` | string | no |
| `icon` | string | no |

**Responses**: `201` · `400`

## `GET` /projects/&#123;id&#125;

Get project details.

```bash
curl https://platform.elnora.ai/api/v1/projects/{id} \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `id` | path | uuid | yes |

**Responses**: `200`

## `PUT` /projects/&#123;id&#125;

Update a project.

```bash
curl -X PUT https://platform.elnora.ai/api/v1/projects/{id} \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ ... }'
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `id` | path | uuid | yes |

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `name` | string | no |
| `description` | string | no |
| `icon` | string | no |

**Responses**: `200`

## `DELETE` /projects/&#123;id&#125;

Archive a project.

```bash
curl -X DELETE https://platform.elnora.ai/api/v1/projects/{id} \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `id` | path | uuid | yes |

**Responses**: `204`

## `POST` /projects/&#123;id&#125;/leave

Leave a project (self-removal).

```bash
curl -X POST https://platform.elnora.ai/api/v1/projects/{id}/leave \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `id` | path | uuid | yes |

**Responses**: `204`

## `GET` /projects/&#123;id&#125;/members

List project members.

```bash
curl https://platform.elnora.ai/api/v1/projects/{id}/members \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `id` | path | uuid | yes |

**Responses**: `200`

## `POST` /projects/&#123;id&#125;/members

Add a member to the project.

```bash
curl -X POST https://platform.elnora.ai/api/v1/projects/{id}/members \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "userId": "..." }'
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `id` | path | uuid | yes |

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `userId` | int32 | yes |
| `role` | string | no |

**Responses**: `201`

## `PUT` /projects/&#123;id&#125;/members/&#123;memberUserId&#125;

Update a member's role.

```bash
curl -X PUT https://platform.elnora.ai/api/v1/projects/{id}/members/{memberUserId} \
  -H "X-API-Key: $ELNORA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "role": "..." }'
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `id` | path | uuid | yes |
| `memberUserId` | path | int32 | yes |

**Request body**

| Field | Type | Required |
| --- | --- | --- |
| `role` | string | yes |

**Responses**: `204`

## `DELETE` /projects/&#123;id&#125;/members/&#123;memberUserId&#125;

Remove a member from the project.

```bash
curl -X DELETE https://platform.elnora.ai/api/v1/projects/{id}/members/{memberUserId} \
  -H "X-API-Key: $ELNORA_API_KEY"
```

**Parameters**

| Name | In | Type | Required |
| --- | --- | --- | --- |
| `id` | path | uuid | yes |
| `memberUserId` | path | int32 | yes |

**Responses**: `204`
